## praat 6.0.48

=== dwsys/Makefile ===
# makefile for library "dwsys".
# David Weenink 20180828
# Paul Boersma 2018-08-10

include ../makefile.defs

CPPFLAGS = -I ../melder -I ../stat -I ../sys -I ../external/gsl -I ../kar

all: libdwsys.a

OBJECTS = Collection_extensions.o Command.o \
	DoublyLinkedList.o Eigen.o \
	FileInMemory.o FileInMemorySet.o FileInMemoryManager.o\
	Graphics_extensions.o Index.o \
	MAT_numerics.o \
	NUM2.o NUMhuber.o NUMmachar.o \
	NUMf2c.o NUMcblas.o NUMclapack.o NUMcomplex.o NUMfft_d.o NUMsort2.o \
	NUMmathlib.o NUMstring.o \
	Permutation.o Permutation_and_Index.o \
	SimpleVector.o \
	SVD.o

.PHONY: all clean

all: libdwsys.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libdwsys.a

libdwsys.a: $(OBJECTS) NUMmachar.o
	touch libdwsys.a
	rm libdwsys.a
	$(AR) cq libdwsys.a $(OBJECTS)
	$(RANLIB) libdwsys.a

$(OBJECTS): *.h ../melder/*.h ../stat/*.h ../sys/*.h ../external/gsl/*.h ../dwsys/*.h ../kar/*.h

=== dwtools/Makefile ===
# Makefile of the library "dwtools"
# David Weenink and Paul Boersma
# 7 September 2018

include ../makefile.defs

CPPFLAGS = -I ../kar -I ../melder -I ../LPC -I ../fon -I ../sys -I ../stat -I ../dwsys -I ../external/portaudio -I ../external/espeak -I ../EEG -I ../kar

OBJECTS = ActivationList.o AffineTransform.o \
	Categories.o CategoriesEditor.o \
	Categories_and_Strings.o CCA.o CCA_and_Correlation.o \
	CC.o CCs_to_DTW.o \
	ClassificationTable.o Confusion.o \
	ComplexSpectrogram.o Configuration.o ContingencyTable.o \
	Configuration_AffineTransform.o \
	Configuration_and_Procrustes.o  DataModeler.o Distance.o \
	DTW.o DTW_and_TextGrid.o \
	Discriminant.o  Discriminant_PatternList_Categories.o \
	EditDistanceTable.o EEG_extensions.o \
	Eigen_and_Matrix.o Eigen_and_Procrustes.o \
	Eigen_and_TableOfReal.o\
	Eigen_and_SSCP.o Excitations.o \
	espeakdata_FileInMemory.o \
	FilterBank.o FormantGrid_extensions.o \
	GaussianMixture.o  \
	HMM.o \
	ICA.o Intensity_extensions.o \
	LFCC.o LongSound_extensions.o \
	KlattGrid.o KlattGridEditors.o KlattTable.o \
	Ltas_extensions.o \
	MDSVec.o MFCC.o \
	manual_DataModeler.o manual_dwtools.o manual_BSS.o manual_HMM.o \
	manual_KlattGrid.o manual_MDS.o manual_Permutation.o \
	Minimizers.o MixingMatrix.o \
	Matrix_extensions.o \
	Matrix_Categories.o MDS.o \
	OptimalCeilingTier.o OptimalCeilingTierEditor.o \
	PatternList.o PCA.o \
	Pitch_extensions.o Polynomial.o \
	Polygon_extensions.o Procrustes.o \
	Proximity.o Proximity_and_Distance.o \
	Resonator.o \
	Sound_and_MixingMatrix.o \
	Sound_and_Spectrogram_extensions.o Sound_and_PCA.o Sound_extensions.o \
	Sound_to_MFCC.o Sounds_to_DTW.o \
	Sound_to_Pitch2.o Sound_to_SPINET.o SPINET.o SPINET_to_Pitch.o \
	Spectrogram_extensions.o Spectrum_extensions.o SSCP.o Strings_extensions.o \
	SpeechSynthesizer.o SpeechSynthesizer_and_TextGrid.o \
	Table_and_Strings.o Table_extensions.o TableOfReal_and_SVD.o \
	TableOfReal_extensions.o \
	TableOfReal_and_Permutation.o \
	TextGrid_and_DurationTier.o TextGrid_and_PitchTier.o TextGrid_extensions.o \
	VowelEditor.o \
	praat_MDS_init.o praat_BSS_init.o praat_HMM_init.o \
	praat_KlattGrid_init.o praat_DataModeler_init.o praat_David_init.o

.PHONY: all clean

all: libdwtools.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libdwtools.a

libdwtools.a: $(OBJECTS)
	touch libdwtools.a
	rm libdwtools.a
	$(AR) cq libdwtools.a $(OBJECTS)
	$(RANLIB) libdwtools.a

$(OBJECTS): *.h ../kar/*.h ../melder/*.h ../sys/*.h ../fon/*.h ../dwsys/*.h ../stat/*.h ../LPC/*.h ../external/espeak/*.h

=== fon/Makefile ===
# Makefile of the library "fon"
# Paul Boersma, 10 August 2018

include ../makefile.defs

CPPFLAGS = -I ../kar -I ../melder -I ../sys -I ../dwsys -I ../stat -I ../dwtools -I ../LPC -I ../fon -I ../external/portaudio -I ../external/flac -I ../external/mp3 -I ../external/espeak

OBJECTS = Transition.o Distributions_and_Transition.o \
   Function.o Sampled.o SampledXY.o Matrix.o Vector.o Polygon.o PointProcess.o \
   Matrix_and_PointProcess.o Matrix_and_Polygon.o AnyTier.o RealTier.o \
   Sound.o LongSound.o Sound_files.o Sound_audio.o PointProcess_and_Sound.o Sound_PointProcess.o ParamCurve.o \
   Pitch.o Harmonicity.o Intensity.o Matrix_and_Pitch.o Sound_to_Pitch.o \
   Sound_to_Intensity.o Sound_to_Harmonicity.o Sound_to_Harmonicity_GNE.o Sound_to_PointProcess.o \
   Pitch_to_PointProcess.o Pitch_to_Sound.o Pitch_Intensity.o \
   PitchTier.o Pitch_to_PitchTier.o PitchTier_to_PointProcess.o PitchTier_to_Sound.o Manipulation.o \
   Pitch_AnyTier_to_PitchTier.o IntensityTier.o DurationTier.o AmplitudeTier.o \
   Spectrum.o Ltas.o Spectrogram.o SpectrumTier.o Ltas_to_SpectrumTier.o \
   Formant.o Image.o Sound_to_Formant.o Sound_and_Spectrogram.o \
   Sound_and_Spectrum.o Spectrum_and_Spectrogram.o Spectrum_to_Formant.o \
   FormantTier.o TextGrid.o TextGrid_Sound.o Label.o FormantGrid.o \
   Excitation.o Cochleagram.o Cochleagram_and_Excitation.o Excitation_to_Formant.o \
   Sound_to_Cochleagram.o Spectrum_to_Excitation.o \
   VocalTract.o VocalTract_to_Spectrum.o \
   SoundRecorder.o Sound_enhance.o VoiceAnalysis.o \
   FunctionEditor.o TimeSoundEditor.o TimeSoundAnalysisEditor.o \
   PitchEditor.o SoundEditor.o SpectrumEditor.o SpectrogramEditor.o PointEditor.o \
   RealTierEditor.o PitchTierEditor.o IntensityTierEditor.o \
   DurationTierEditor.o AmplitudeTierEditor.o \
   ManipulationEditor.o TextGridEditor.o FormantGridEditor.o \
   WordList.o SpellingChecker.o \
   FujisakiPitch.o \
   ExperimentMFC.o RunnerMFC.o manual_ExperimentMFC.o praat_ExperimentMFC.o \
   Photo.o Movie.o MovieWindow.o \
   Corpus.o \
   manual_Picture.o manual_Manual.o manual_Script.o \
   manual_soundFiles.o manual_tutorials.o manual_references.o \
   manual_programming.o manual_Fon.o manual_voice.o Praat_tests.o \
   manual_glossary.o manual_Sampling.o manual_exampleSound.o \
   manual_sound.o manual_pitch.o manual_spectrum.o manual_formant.o manual_annotation.o \
   praat_TimeFunction.o praat_TimeTier.o praat_TimeFrameSampled.o \
   praat_Sound.o praat_Matrix.o praat_Tiers.o praat_TextGrid_init.o praat_Fon.o

.PHONY: all clean

all: libfon.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libfon.a

libfon.a: $(OBJECTS)
	touch libfon.a
	rm libfon.a
	$(AR) cq libfon.a $(OBJECTS)
	$(RANLIB) libfon.a

$(OBJECTS): *.h ../external/portaudio/*.h ../kar/*.h ../melder/*.h ../sys/*.h ../dwsys/*.h ../stat/*.h ../dwtools/*.h ../LPC/*.h ../external/flac/*.h ../external/mp3/mp3.h

=== melder/Makefile ===
# Makefile of the library "melder"
# Paul Boersma, 4 September 2018

include ../makefile.defs

CPPFLAGS = -I ../melder

OBJECTS = melder.o complex.o melder_alloc.o \
	melder_ftoa.o melder_console.o melder_textencoding.o melder_atof.o melder_files.o \
	melder_tensor.o melder_sort.o melder_debug.o MelderFile.o melder_strings.o \
	melder_search.o \
	melder_info.o melder_error.o melder_warning.o melder_fatal.o melder_progress.o \
	melder_play.o melder_help.o melder_time.o \
	melder_audio.o melder_audiofiles.o melder_quantity.o MelderReadText.o melder_tensorio.o \
	abcio.o melder_sysenv.o regularExp.o \
	NUMmath.o \
	NUMspecfunc.o NUMear.o NUMinterpol.o NUMmetrics.o NUMrandom.o NUMfilter.o NUMlinprog.o \
	NUM.o STR.o VEC.o MAT.o STRVEC.o

.PHONY: all clean

all: libmelder.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libmelder.a

libmelder.a: $(OBJECTS)
	touch libmelder.a
	rm libmelder.a
	$(AR) cq libmelder.a $(OBJECTS)
	$(RANLIB) libmelder.a

$(OBJECTS): ../kar/*.h ../sys/*.h ../dwsys/*.h

=== debian/changelog ===
praat (6.0.48-1) unstable; urgency=medium

  * New upstream version 6.0.48

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 20 Feb 2019 17:24:23 -0300

praat (6.0.47-2) unstable; urgency=medium

  * d/t/run-tests: Skip unit tests that fail on mips64el

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 19 Feb 2019 13:21:45 -0300

praat (6.0.47-1) unstable; urgency=medium

  * New upstream version 6.0.47

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 17 Feb 2019 15:45:54 -0300

praat (6.0.46-4) unstable; urgency=medium

  * Fix FTCBFS
    + d/rules: seed build tools from dpkg's buildtools.mk
    + d/mk-vars-hardening: Do not include CFLAGS into CXXFLAGS
    + d/p/cross-build.patch: Allow substituting pkg-config.
    + d/p/cross-build.patch: Don't stuff flags into $(CC) or $(CXX).
    + d/p/cross-build.patch: Default LINK to $(CXX).
    Thanks to Helmut Grohne <helmut@subdivi.de> for the patch (Closes: #919490)
  * d/t/run-tests: Drop unit test test_MixingMatrix

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 16 Jan 2019 20:54:25 -0200

praat (6.0.46-3) unstable; urgency=medium

  * d/p/show-fc-discrimant-test.patch: Drop patch
  * d/t/run-tests: Exclude unit test test_Discriminant.praat

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 07 Jan 2019 11:06:18 -0200

praat (6.0.46-2) unstable; urgency=medium

  * d/p/show-fc-discrimant-test.patch: New patch
  * d/t/run-tests: Exclude test_SpeechSynthesizer_alignment.praat

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 06 Jan 2019 18:55:06 -0200

praat (6.0.46-1) unstable; urgency=medium

  * New upstream version 6.0.46
  * d/p/melder-tensor-resize.patch: Drop patch (applied upstream)
  * d/p/fix-procrustes-unit-test.patch: Refresh for new upstream release
  * d/copyright: Reflect upstream changes
  * d/control:
    + Bump debhelper to compat level 12
    + Bump Standards-Version to 4.3.0 (no changes needed)
    + Add build-dependency on libjack

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 05 Jan 2019 22:57:33 -0200

praat (6.0.43-1) unstable; urgency=medium

  * New upstream version 6.0.43
  * d/copyright: Reflect upstream changes
  * d/p/melder-tensor-resize.patch: New patch
  * d/rules, d/clean: Do file removal in the appropriate place

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 11 Sep 2018 07:35:19 -0300

praat (6.0.42-2) unstable; urgency=medium

  * d/t/run-tests: Exclude two problematic unit tests

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 29 Aug 2018 13:15:57 -0300

praat (6.0.42-1) unstable; urgency=medium

  * New upstream version 6.0.42
  * d/copyright: Reflect upstream changes
  * d/rules: Adjust for new upstream version
  * d/t/run-tests: Do not exclude unit test ba-da-continuum.praat
  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.2.1

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 28 Aug 2018 14:36:58 -0300

=== debian/control ===
Source: praat
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Rafael Laboissiere <rafael@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libasound2-dev,
               libgtk2.0-dev,
               libjack-jackd2-dev,
               libpulse-dev,
               xauth,
               xvfb,
               xmlto
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/praat
Vcs-Git: https://salsa.debian.org/med-team/praat.git
Homepage: http://www.praat.org
Rules-Requires-Root: no

Package: praat
Architecture: amd64 arm64 i386 mips64el ppc64el s390x alpha kfreebsd-amd64 kfreebsd-i386 m68k powerpc powerpcspe ppc64 sparc64
Depends: ${shlibs:Depends},
         ${misc:Depends},
         oss-compat,
         python3
Description: program for speech analysis and synthesis
 According to its authors, praat is "doing phonetics by computer".  Through
 its graphical interface, several speech analysis functionalities are
 available: spectrograms, cochleograms, and pitch and formant
 extraction.  Articulatory synthesis, as well as synthesis from pitch,
 formant, and intensity are also available.  Other features are
 segmentation, labelling using the phonetic alphabet, and computation of
 statistics.  Praat is configurable and extensible through its own scripting
 language and has provisions for communicating with other programs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules for the Praat

DEBDIR = $(CURDIR)/debian
INSTDIR = $(DEBDIR)/praat

PIXDIR = usr/share/pixmaps
SVGDIR = usr/share/icons/hicolor/scalable/apps
BINDIR = usr/bin
APPDIR = usr/share/applications

SUBSTCMD = sed 's:@BINDIR@:$(BINDIR):g;s:@PIXDIR@:$(PIXDIR):g;	\
                s:@SVGDIR@:$(SVGDIR):g;s:@APPDIR@:$(APPDIR):g'

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk
-include /usr/share/dpkg/buildtools.mk
PKG_CONFIG ?= pkg-config

ifneq (,$(filter $(DEB_HOST_ARCH), i386))
    export DEB_CXXFLAGS_MAINT_APPEND=-ffloat-store
endif

%:
	dh $@

get-upstream-changelog:
	# Get upstream changelog (in HTML format) and replace some characters
	# for correct display in the final ASCII file
	( cd debian ;							    \
	  wget -N http://www.fon.hum.uva.nl/praat/manual/What_s_new_.html ; \
	  perl -pi -e "s/&#712;/'/g;s/&#716;/,/g;" What_s_new_.html )

clean:
	dh clean
	# Fix the lacking cleaning command for the main/ directory
	[ ! -f makefile.defs ] || make -C main clean

override_dh_auto_clean:
	touch makefile.defs
	dh_auto_clean

override_dh_auto_configure:
	# Generate the debhelper files
	for i in dirs install ; do 				\
		$(SUBSTCMD) < $(DEBDIR)/$$i.in > $(DEBDIR)/praat.$$i ;	\
	done
	# Get rid of the
	# dpkg-shlibdeps: warning: dependency on lib??? could be avoided if "debian/praat/usr/bin/praat" were not uselessly linked against it (they use none of its symbols).
	# warnings and useless dependencies
	sed 's/^LIBS = /& -Wl,--as-needed /'	\
		makefiles/makefile.defs.linux.pulse > makefile.defs
	# Add hardening flags
	cat debian/mk-vars-hardening >> makefile.defs

%.1: $(DEBDIR)/%.dbk $(DEBDIR)/manpage.xsl
	# Generate the man page from the DocBook source
	xmlto -m $(DEBDIR)/manpage.xsl man $<

sendpraat: sys/sendpraat.c
	# Build the sendpraat program
	$(CC) $(shell dpkg-buildflags --get CPPFLAGS)		\
		$(shell dpkg-buildflags --get CFLAGS)		\
		$(shell dpkg-buildflags --get LDFLAGS)		\
		-Wl,--as-needed -std=gnu99 -DSTAND_ALONE -DUNIX	\
		-o sendpraat sys/sendpraat.c			\
		$(shell $(PKG_CONFIG) --cflags --libs gtk+-2.0)

override_dh_auto_build: sendpraat praat.1 praat_nogui.1 sendpraat.1 praat-open-files.1
	dh_auto_build
	sed 's/^LIBS = /& -Wl,--as-needed /'	\
		makefiles/makefile.defs.linux.nogui > makefile.defs
	# Add hardening flags
	cat debian/mk-vars-hardening >> makefile.defs
	rm -f melder/*.o sys/*.o fon/SoundRecorder.o fon/praat_Sound.o	\
		fon/FunctionEditor.o external/portaudio/*.o
	dh_auto_build

override_dh_auto_install:
	# Install the upstream changelog
	dh_installchangelogs debian/What_s_new_.html
	dh_auto_install -- INSTALL=

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	    PRAAT=$(CURDIR)/praat debian/tests/run-tests
endif

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(\d+)\.(\d+)\.0?(\d+)\.tar\.gz/praat-$1.$2.$3.tar.gz/"	\
    https://github.com/praat/praat/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## praat 6.1

=== dwtools/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile of the library "dwtools"
 # David Weenink and Paul Boersma
-# 7 September 2018
+# 9 March 2019
 
 include ../makefile.defs
 
@@ -32,7 +32,7 @@
 	manual_DataModeler.o manual_dwtools.o manual_BSS.o manual_HMM.o \
 	manual_KlattGrid.o manual_MDS.o manual_Permutation.o \
 	Minimizers.o MixingMatrix.o \
-	Matrix_extensions.o \
+	Matrix_and_NMF.o Matrix_extensions.o \
 	Matrix_Categories.o MDS.o \
 	OptimalCeilingTier.o OptimalCeilingTierEditor.o \
 	PatternList.o PCA.o \

=== debian/changelog ===
praat (6.1-1) unstable; urgency=medium

  * New upstream version 6.1
  * d/watch: Cope with less than three parts in version number

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 16 Jul 2019 09:30:18 -0300

praat (6.0.56-2) unstable; urgency=medium

  * Copy the lacking WAV file in d/t/run-tests instead of d/rules.
    This ensures that the unit test unicode.praat will work both during
    package build time and on debian-ci.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 11 Jul 2019 17:54:52 -0300

praat (6.0.56-1) unstable; urgency=medium

  * New upstream version 6.0.56
  * Upload to unstable
  * d/control: Bump Standards-Version to 4.4.0 (no changes needed)
  * Add lacking file for unit test test/kar/unicode.praat.
    See https://github.com/praat/praat/pull/1018 for details.

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 10 Jul 2019 07:41:08 -0300

praat (6.0.52-2) experimental; urgency=medium

  * d/t/run-tests: Exclude unit test test_Discriminant (fails on i386)

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 12 May 2019 07:20:02 -0300

praat (6.0.52-1) experimental; urgency=medium

  * New upstream version 6.0.52

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 06 May 2019 04:15:47 -0300

praat (6.0.49-2) unstable; urgency=medium

  * t/run-tests: Drop test_Discriminant from the list of excluded unit tests

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 11 Mar 2019 18:06:08 -0300

praat (6.0.49-1) unstable; urgency=medium

  * New upstream version 6.0.49
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 10 Mar 2019 19:37:06 -0300

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                xauth,
                xvfb,
                xmlto
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/praat
 Vcs-Git: https://salsa.debian.org/med-team/praat.git
 Homepage: http://www.praat.org

## praat 6.1.08

=== debian/changelog ===
praat (6.1.08-1) unstable; urgency=medium

  * New upstream version 6.1.08

 -- Rafael Laboissière <rafael@debian.org>  Sat, 07 Dec 2019 10:13:23 -0300

praat (6.1.07-1) unstable; urgency=medium

  * New upstream version 6.1.07

 -- Rafael Laboissière <rafael@debian.org>  Thu, 28 Nov 2019 02:15:07 -0300

praat (6.1.06-1) unstable; urgency=medium

  * New upstream version 6.1.06
  * d/p/cross-build.patch: Drop patch (applied upstream)

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 15 Nov 2019 01:38:47 -0300

praat (6.1.05-2) unstable; urgency=medium

  [ Steffen Moeller ]
  * d/u/metadata: yamllint

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 19 Oct 2019 15:25:49 -0300

praat (6.1.05-1) unstable; urgency=medium

  * New upstream version 6.1.05

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 19 Oct 2019 07:10:39 -0300

praat (6.1.04-1) unstable; urgency=medium

  * New upstream version 6.1.04
  * d/p/fix-test-electroglottogram.patch: Drop patch (applied upstream)
  * d/t/run-tests: Exclude unit test KlattGrid_test
  * d/control: Bump Standards-Version to 4.4.1 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Oct 2019 02:16:20 -0300

praat (6.1.03-1) unstable; urgency=medium

  * New upstream version 6.1.03
  * d/p/fix-test-electroglottogram.patch: New patch
  * d/t/run-tests: Exclude unit test MacRoman.praat

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 24 Sep 2019 16:21:24 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: praat
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
-           Rafael Laboissiere <rafael@debian.org>
+           Rafael Laboissière <rafael@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
@@ -12,7 +12,7 @@
                xauth,
                xvfb,
                xmlto
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/praat
 Vcs-Git: https://salsa.debian.org/med-team/praat.git
 Homepage: http://www.praat.org

## praat 6.1.09

=== Makefile ===
# File: Makefile

# Makefile for Praat.
# Paul Boersma, 12 August 2018

# System-dependent definitions of CC, LIBS, ICON and MAIN_ICON should be in
# makefile.defs, which has to be copied and renamed
# from a suitable makefile.defs.XXX file in the makefiles directory,
# Perhaps that file requires some editing.
include makefile.defs

.PHONY: all clean install

# Makes the Praat executable in the source directory.
all:
	$(MAKE) -C external/gsl
	$(MAKE) -C external/glpk
	$(MAKE) -C external/mp3
	$(MAKE) -C external/flac
	$(MAKE) -C external/portaudio
	$(MAKE) -C external/espeak
	$(MAKE) -C kar
	$(MAKE) -C melder
	$(MAKE) -C sys
	$(MAKE) -C dwsys
	$(MAKE) -C stat
	$(MAKE) -C fon
	$(MAKE) -C dwtools
	$(MAKE) -C LPC
	$(MAKE) -C EEG
	$(MAKE) -C gram
	$(MAKE) -C FFNet
	$(MAKE) -C artsynth
	$(MAKE) -C contrib/ola
	$(MAKE) -C main main_Praat.o $(ICON)
	$(LINK) -o $(EXECUTABLE) main/main_Praat.o $(MAIN_ICON) fon/libfon.a \
		contrib/ola/libOla.a artsynth/libartsynth.a \
		FFNet/libFFNet.a gram/libgram.a EEG/libEEG.a \
		LPC/libLPC.a dwtools/libdwtools.a \
		fon/libfon.a stat/libstat.a dwsys/libdwsys.a \
		sys/libsys.a melder/libmelder.a kar/libkar.a \
		external/espeak/libespeak.a \
		external/portaudio/libportaudio.a \
		external/flac/libflac.a external/mp3/libmp3.a \
		external/glpk/libglpk.a external/gsl/libgsl.a \
		$(LIBS)

clean:
	$(MAKE) -C external/gsl clean
	$(MAKE) -C external/glpk clean
	$(MAKE) -C external/mp3 clean
	$(MAKE) -C external/flac clean
	$(MAKE) -C external/portaudio clean
	$(MAKE) -C external/espeak clean
	$(MAKE) -C kar clean
	$(MAKE) -C melder clean
	$(MAKE) -C sys clean
	$(MAKE) -C dwsys clean
	$(MAKE) -C stat clean
	$(MAKE) -C fon clean
	$(MAKE) -C dwtools clean
	$(MAKE) -C LPC clean
	$(MAKE) -C EEG clean
	$(MAKE) -C gram clean
	$(MAKE) -C FFNet clean
	$(MAKE) -C artsynth clean
	$(MAKE) -C contrib/ola clean
	$(MAKE) -C main clean
	$(RM) praat

install:
	$(INSTALL)

=== EEG/Makefile ===
# Makefile of the library "EEG"
# Paul Boersma, 10 August 2018

include ../makefile.defs

CPPFLAGS = -I ../kar -I ../melder -I ../sys -I ../dwsys -I ../stat -I ../dwtools -I ../fon

OBJECTS = EEG.o EEGWindow.o ERPTier.o ERP.o ERPWindow.o \
   praat_EEG.o manual_EEG.o

.PHONY: all clean

all: libEEG.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libEEG.a

libEEG.a: $(OBJECTS)
	touch libEEG.a
	rm libEEG.a
	$(AR) cq libEEG.a $(OBJECTS)
	$(RANLIB) libEEG.a

$(OBJECTS): *.h ../kar/*.h ../melder/*.h ../sys/*.h ../dwsys/*.h ../stat/*.h ../dwtools/*.h ../fon/*.h

=== LPC/Makefile ===
# Makefile of the library "LPC"
# David Weenink and Paul Boersma 2018-08-10

include ../makefile.defs

CPPFLAGS = -I ../kar -I ../melder -I ../dwtools -I ../fon -I ../sys -I ../dwsys -I ../stat

OBJECTS = Cepstrum.o Cepstrumc.o Cepstrum_and_Spectrum.o \
	Cepstrogram.o \
	Formant_extensions.o LineSpectralFrequencies.o \
	LPC.o LPC_and_Cepstrumc.o LPC_and_Formant.o LPC_and_LFCC.o \
	LPC_and_LineSpectralFrequencies.o LPC_and_Polynomial.o \
	LPC_to_Spectrum.o  LPC_to_Spectrogram.o \
	LPC_and_Tube.o \
	Sound_and_LPC.o  Sound_and_LPC_robust.o \
	Sound_and_Cepstrum.o Tube.o \
	VocalTractTier.o \
	praat_LPC_init.o manual_LPC.o

.PHONY: all clean

all: libLPC.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libLPC.a

libLPC.a: $(OBJECTS)
	touch libLPC.a
	rm libLPC.a
	$(AR) cq libLPC.a $(OBJECTS)
	$(RANLIB) libLPC.a

$(OBJECTS): *.h ../kar/*.h ../melder/*.h ../dwtools/*.h ../fon/*.h ../sys/*.h ../dwsys/*.h ../stat/*.h

=== dwsys/Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	FileInMemory.o FileInMemorySet.o FileInMemoryManager.o\
 	Graphics_extensions.o Index.o \
 	MAT_numerics.o \
-	NUM2.o NUMhuber.o NUMmachar.o \
+	NMF.o NUM2.o NUMhuber.o NUMmachar.o \
 	NUMf2c.o NUMcblas.o NUMclapack.o NUMcomplex.o NUMfft_d.o NUMsort2.o \
 	NUMmathlib.o NUMstring.o \
 	Permutation.o Permutation_and_Index.o \

=== dwtools/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile of the library "dwtools"
 # David Weenink and Paul Boersma
-# 9 March 2019
+# 1 April 2019
 
 include ../makefile.defs
 
@@ -16,7 +16,7 @@
 	Configuration_and_Procrustes.o  DataModeler.o Distance.o \
 	DTW.o DTW_and_TextGrid.o \
 	Discriminant.o  Discriminant_PatternList_Categories.o \
-	EditDistanceTable.o EEG_extensions.o \
+	Electroglottogram.o EditDistanceTable.o EEG_extensions.o \
 	Eigen_and_Matrix.o Eigen_and_Procrustes.o \
 	Eigen_and_TableOfReal.o\
 	Eigen_and_SSCP.o Excitations.o \

=== fon/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile of the library "fon"
-# Paul Boersma, 10 August 2018
+# Paul Boersma, 28 February 2019
 
 include ../makefile.defs
 
@@ -8,7 +8,7 @@
 OBJECTS = Transition.o Distributions_and_Transition.o \
    Function.o Sampled.o SampledXY.o Matrix.o Vector.o Polygon.o PointProcess.o \
    Matrix_and_PointProcess.o Matrix_and_Polygon.o AnyTier.o RealTier.o \
-   Sound.o LongSound.o Sound_files.o Sound_audio.o PointProcess_and_Sound.o Sound_PointProcess.o ParamCurve.o \
+   Sound.o LongSound.o SoundSet.o Sound_files.o Sound_audio.o PointProcess_and_Sound.o Sound_PointProcess.o ParamCurve.o \
    Pitch.o Harmonicity.o Intensity.o Matrix_and_Pitch.o Sound_to_Pitch.o \
    Sound_to_Intensity.o Sound_to_Harmonicity.o Sound_to_Harmonicity_GNE.o Sound_to_PointProcess.o \
    Pitch_to_PointProcess.o Pitch_to_Sound.o Pitch_Intensity.o \

=== melder/Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 # Makefile of the library "melder"
-# Paul Boersma, 4 September 2018
+# Paul Boersma, 4 November 2019
 
 include ../makefile.defs
 
 CPPFLAGS = -I ../melder
 
-OBJECTS = melder.o complex.o melder_alloc.o \
+OBJECTS = melder.o complex.o melder_alloc.o melder_colour.o \
 	melder_ftoa.o melder_console.o melder_textencoding.o melder_atof.o melder_files.o \
 	melder_tensor.o melder_sort.o melder_debug.o MelderFile.o melder_strings.o \
 	melder_search.o \

=== sys/Makefile ===
# Makefile of the library "sys"
# Paul Boersma, 11 August 2018

include ../makefile.defs

# -I ../sys is there because e.g. Graphics.cpp include fon/Function.h, which again includes something from sys
CPPFLAGS = -I ../melder -I ../sys

OBJECTS = Thing.o Data.o Simple.o Collection.o Strings.o \
   Graphics.o Graphics_linesAndAreas.o Graphics_text.o Graphics_colour.o \
   Graphics_image.o Graphics_mouse.o Graphics_record.o \
   Graphics_utils.o Graphics_grey.o Graphics_altitude.o \
   GraphicsPostscript.o Graphics_surface.o \
   ManPage.o ManPages.o Script.o machine.o \
   GraphicsScreen.o Printer.o \
   Preferences.o site.o \
   Picture.o Ui.o UiFile.o UiPause.o Editor.o DataEditor.o HyperPage.o Manual.o TextEditor.o \
   praat.o praat_actions.o praat_menuCommands.o praat_picture.o sendpraat.o sendsocket.o \
   praat_script.o praat_statistics.o praat_logo.o praat_library.o \
   praat_objectMenus.o InfoEditor.o ScriptEditor.o ButtonEditor.o Interpreter.o Formula.o \
   StringsEditor.o DemoEditor.o \
   motifEmulator.o GuiText.o GuiWindow.o Gui.o GuiObject.o GuiDrawingArea.o \
   GuiMenu.o GuiMenuItem.o GuiButton.o GuiLabel.o GuiCheckButton.o GuiRadioButton.o \
   GuiDialog.o GuiList.o GuiFileSelect.o GuiScale.o GuiScrollBar.o GuiScrolledWindow.o \
   GuiControl.o GuiForm.o GuiOptionMenu.o GuiProgressBar.o GuiShell.o GuiThing.o Gui_messages.o

.PHONY: all clean

all: libsys.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libsys.a

libsys.a: $(OBJECTS)
	touch libsys.a
	rm libsys.a
	$(AR) cq libsys.a $(OBJECTS)
	$(RANLIB) libsys.a

$(OBJECTS): *.h ../kar/*.h ../melder/*.h ../dwsys/*.h

=== contrib/ola/Makefile ===
# Makefile of the library "contrib/ola"
# Ola So"der 19 January 2008
# Paul Boersma, 10 August 2018

include ../../makefile.defs

CPPFLAGS = -I ../../kar -I ../../melder -I ../../sys -I ../../FFNet -I ../../dwtools -I ../../fon -I ../../dwsys -I ../../stat -I ../../external/gsl -D_DEBUG -D_REENTRANT

OBJECTS = KNN.o \
   KNN_threads.o Pattern_to_Categories_cluster.o KNN_prune.o FeatureWeights.o praat_contrib_Ola_KNN.o manual_KNN.o

.PHONY: all clean

all: libOla.a  

clean:
	$(RM) $(OBJECTS)
	$(RM) libOla.a

libOla.a: $(OBJECTS)
	touch libOla.a
	rm libOla.a
	$(AR) cq libOla.a $(OBJECTS)
	$(RANLIB) libOla.a

$(OBJECTS): *.h ../../kar/*.h ../../melder/*.h ../../sys/*.h ../../FFNet/*.h ../../dwtools/*.h ../../fon/*.h ../../dwsys/*.h ../../stat/*.h ../../external/gsl/*.h

=== external/espeak/Makefile ===
# makefile for libespeak

include ../../makefile.defs

CPPFLAGS = -I ../../kar -I ../../melder -I ../../dwtools -I ../../sys -I ../../dwsys -I ../../stat

OBJECTS = categories.o compiledata.o compiledict.o \
	dictionary.o \
	encoding.o error.o  espeak_api.o \
	intonation.o klatt.o  \
	numbers.o phonemelist.o proplist.o readclause.o setlengths.o speech.o \
	synthdata.o synthesize.o \
	synth_mbrola.o tr_languages.o mnemonics.o translate.o voices.o wavegen.o \
	create_espeak_ng_FileInMemoryManager.o create_espeak_ng_FileInMemorySet.o \
	espeak_io.o

.PHONY: all clean

all: libespeak.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libespeak.a

libespeak.a: $(OBJECTS)
	touch libespeak.a
	rm libespeak.a
	$(AR) cq libespeak.a $(OBJECTS)
	$(RANLIB) libespeak.a

$(OBJECTS):  *.h ../../kar/*.h ../../melder/*.h ../../sys/*.h ../../dwsys/*.h ../../stat/*.h

=== external/flac/Makefile ===
# Makefile of the library "external/flac"
# Erez Volk, March 2007
# pb 20100108: include sys/melder.h
# Paul Boersma, 24 August 2013

include ../../makefile.defs

CPPFLAGS = -DFLAC__NOASM -I ../../melder

# EREZ ?
# On non-Intel, also define -DFLAC__CPU_UNKNOWN
# On Intel, define -DFLAC__CPU_IA32
# On PowerPC, define -DFLAC__CPU_PPC
# How/when are these relevant?

OBJECTS = \
	flac_bitmath.o \
	flac_bitreader.o \
	flac_bitwriter.o \
	flac_cpu.o \
	flac_crc.o \
	flac_fixed.o \
	flac_float.o \
	flac_format.o \
	flac_lpc.o \
	flac_md5.o \
	flac_memory.o \
	flac_metadata_iterators.o \
	flac_metadata_object.o \
	flac_stream_decoder.o \
	flac_stream_encoder.o \
	flac_stream_encoder_framing.o \
	flac_window.o

.PHONY: all clean

all: libflac.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libflac.a

libflac.a: $(OBJECTS)
	touch libflac.a
	rm libflac.a
	$(AR) cq libflac.a $(OBJECTS)
	$(RANLIB) libflac.a

$(OBJECTS): *.h ../../melder/*.h

=== external/portaudio/Makefile ===
# Makefile of the library "external/portaudio"
# Paul Boersma, 21 October 2018

include ../../makefile.defs

OBJECTS = \
	pa_unix_hostapis.o pa_unix_util.o pa_linux_alsa.o pa_jack.o pa_ringbuffer.o \
	pa_win_hostapis.o pa_win_util.o pa_win_wmme.o pa_win_waveformat.o \
	pa_front.o pa_debugprint.o pa_cpuload.o \
	pa_allocation.o pa_process.o pa_converters.o pa_dither.o \
	pa_stream.o

.PHONY: all clean

all: libportaudio.a

clean:
	$(RM) $(OBJECTS)
	$(RM) libportaudio.a

libportaudio.a: $(OBJECTS)
	touch libportaudio.a
	rm libportaudio.a
	ar cq libportaudio.a $(OBJECTS)
	$(RANLIB) libportaudio.a

$(OBJECTS): *.h

=== debian/changelog ===
praat (6.1.09-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:54:32 +0100

praat (6.1.09-1) unstable; urgency=medium

  * New upstream version 6.1.09
  * d/copyright: Reflect upstream changes
  * d/control: Bump Standards-Version to 4.5.0 (no changes needed)
  * d/clean: Remove *.wav files left over by the unit tests

 -- Rafael Laboissière <rafael@debian.org>  Fri, 31 Jan 2020 03:07:15 -0300

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                xauth,
                xvfb,
                xmlto
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/praat
 Vcs-Git: https://salsa.debian.org/med-team/praat.git
 Homepage: http://www.praat.org

=== debian/rules ===
--- 
+++ 
@@ -85,5 +85,5 @@
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-	    PRAAT=$(CURDIR)/praat debian/tests/run-tests
+	PRAAT=$(CURDIR)/praat debian/tests/run-tests
 endif

=== debian/tests/control ===
Tests: run-tests
Depends: @, xauth, xvfb
Restrictions: allow-stderr

## praat 6.1.16

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # File: Makefile
 
 # Makefile for Praat.
-# Paul Boersma, 12 August 2018
+# Paul Boersma, 24 May 2020
 
 # System-dependent definitions of CC, LIBS, ICON and MAIN_ICON should be in
 # makefile.defs, which has to be copied and renamed
@@ -13,6 +13,7 @@
 
 # Makes the Praat executable in the source directory.
 all:
+	$(MAKE) -C external/clapack
 	$(MAKE) -C external/gsl
 	$(MAKE) -C external/glpk
 	$(MAKE) -C external/mp3
@@ -31,21 +32,23 @@
 	$(MAKE) -C gram
 	$(MAKE) -C FFNet
 	$(MAKE) -C artsynth
-	$(MAKE) -C contrib/ola
 	$(MAKE) -C main main_Praat.o $(ICON)
 	$(LINK) -o $(EXECUTABLE) main/main_Praat.o $(MAIN_ICON) fon/libfon.a \
-		contrib/ola/libOla.a artsynth/libartsynth.a \
-		FFNet/libFFNet.a gram/libgram.a EEG/libEEG.a \
+		artsynth/libartsynth.a FFNet/libFFNet.a \
+		gram/libgram.a EEG/libEEG.a \
 		LPC/libLPC.a dwtools/libdwtools.a \
 		fon/libfon.a stat/libstat.a dwsys/libdwsys.a \
 		sys/libsys.a melder/libmelder.a kar/libkar.a \
 		external/espeak/libespeak.a \
 		external/portaudio/libportaudio.a \
 		external/flac/libflac.a external/mp3/libmp3.a \
-		external/glpk/libglpk.a external/gsl/libgsl.a \
+		external/glpk/libglpk.a \
+		external/clapack/libclapack.a \
+		external/gsl/libgsl.a \
 		$(LIBS)
 
 clean:
+	$(MAKE) -C external/clapack clean
 	$(MAKE) -C external/gsl clean
 	$(MAKE) -C external/glpk clean
 	$(MAKE) -C external/mp3 clean
@@ -64,7 +67,6 @@
 	$(MAKE) -C gram clean
 	$(MAKE) -C FFNet clean
 	$(MAKE) -C artsynth clean
-	$(MAKE) -C contrib/ola clean
 	$(MAKE) -C main clean
 	$(RM) praat

=== LPC/Makefile ===
--- 
+++ 
@@ -1,17 +1,21 @@
 # Makefile of the library "LPC"
-# David Weenink and Paul Boersma 2018-08-10
-
+# David Weenink and Paul Boersma
+# 20200521
+#  -save-temps=cwd
 include ../makefile.defs
 
-CPPFLAGS = -I ../kar -I ../melder -I ../dwtools -I ../fon -I ../sys -I ../dwsys -I ../stat
+CPPFLAGS = -I . -I ../kar -I ../melder -I ../fon -I ../dwtools -I ../sys -I ../dwsys -I ../stat
 
 OBJECTS = Cepstrum.o Cepstrumc.o Cepstrum_and_Spectrum.o \
 	Cepstrogram.o \
-	Formant_extensions.o LineSpectralFrequencies.o \
+	Formant_extensions.o \
+	FormantModeler.o FormantModelerList.o \
+	FormantPath.o FormantPathEditor.o \
+	LineSpectralFrequencies.o \
 	LPC.o LPC_and_Cepstrumc.o LPC_and_Formant.o LPC_and_LFCC.o \
 	LPC_and_LineSpectralFrequencies.o LPC_and_Polynomial.o \
 	LPC_to_Spectrum.o  LPC_to_Spectrogram.o \
-	LPC_and_Tube.o \
+	LPC_and_Tube.o PowerCepstrum.o PowerCepstrogram.o \
 	Sound_and_LPC.o  Sound_and_LPC_robust.o \
 	Sound_and_Cepstrum.o Tube.o \
 	VocalTractTier.o \

=== dwtools/Makefile ===
--- 
+++ 
@@ -1,19 +1,19 @@
 # Makefile of the library "dwtools"
 # David Weenink and Paul Boersma
-# 1 April 2019
+# 25 May 2020
 
 include ../makefile.defs
 
-CPPFLAGS = -I ../kar -I ../melder -I ../LPC -I ../fon -I ../sys -I ../stat -I ../dwsys -I ../external/portaudio -I ../external/espeak -I ../EEG -I ../kar
+CPPFLAGS = -I . -I ../kar -I ../melder -I ../LPC -I ../fon -I ../sys -I ../stat -I ../dwsys -I ../external/portaudio -I ../external/espeak -I ../external/clapack -I ../EEG
 
 OBJECTS = ActivationList.o AffineTransform.o \
 	Categories.o CategoriesEditor.o \
 	Categories_and_Strings.o CCA.o CCA_and_Correlation.o \
-	CC.o CCs_to_DTW.o \
+	Correlation.o Covariance.o CC.o CCs_to_DTW.o \
 	ClassificationTable.o Confusion.o \
 	ComplexSpectrogram.o Configuration.o ContingencyTable.o \
 	Configuration_AffineTransform.o \
-	Configuration_and_Procrustes.o  DataModeler.o Distance.o \
+	Configuration_and_Procrustes.o DataModeler.o Distance.o \
 	DTW.o DTW_and_TextGrid.o \
 	Discriminant.o  Discriminant_PatternList_Categories.o \
 	Electroglottogram.o EditDistanceTable.o EEG_extensions.o \
@@ -24,7 +24,7 @@
 	FilterBank.o FormantGrid_extensions.o \
 	GaussianMixture.o  \
 	HMM.o \
-	ICA.o Intensity_extensions.o \
+	ICA.o Intensity_extensions.o IntervalTierNavigator.o \
 	LFCC.o LongSound_extensions.o \
 	KlattGrid.o KlattGridEditors.o KlattTable.o \
 	Ltas_extensions.o \
@@ -36,10 +36,10 @@
 	Matrix_Categories.o MDS.o \
 	OptimalCeilingTier.o OptimalCeilingTierEditor.o \
 	PatternList.o PCA.o \
-	Pitch_extensions.o Polynomial.o \
+	Pitch_extensions.o Polynomial_to_Spectrum.o \
 	Polygon_extensions.o Procrustes.o \
 	Proximity.o Proximity_and_Distance.o \
-	Resonator.o \
+	Resonator.o Roots_to_Spectrum.o \
 	Sound_and_MixingMatrix.o \
 	Sound_and_Spectrogram_extensions.o Sound_and_PCA.o Sound_extensions.o \
 	Sound_to_MFCC.o Sounds_to_DTW.o \
@@ -50,7 +50,7 @@
 	TableOfReal_extensions.o \
 	TableOfReal_and_Permutation.o \
 	TextGrid_and_DurationTier.o TextGrid_and_PitchTier.o TextGrid_extensions.o \
-	VowelEditor.o \
+	TextGridView.o VowelEditor.o \
 	praat_MDS_init.o praat_BSS_init.o praat_HMM_init.o \
 	praat_KlattGrid_init.o praat_DataModeler_init.o praat_David_init.o

=== debian/changelog ===
praat (6.1.16-1) unstable; urgency=medium

  * New upstream version 6.1.16
  * Refresh patches for new upstream version:
    + d/p/cross-build.patch
    + d/p/use-ldflags.patch
 -- Rafael Laboissière <rafael@debian.org>  Sun, 07 Jun 2020 09:23:51 -0300

praat (6.1.15-1) unstable; urgency=medium

  * New upstream version 6.1.15
  * d/t/run-tests: Drop workaround for test_Discriminant.praat
  * d/clean: Extend list of files to remove

 -- Rafael Laboissière <rafael@debian.org>  Thu, 21 May 2020 11:10:34 -0300

praat (6.1.14-3) unstable; urgency=medium

  * d/p/cross-build.patch: New patch
  * d/t/run-tests: Skip unit test test_Discriminant.praat

 -- Rafael Laboissière <rafael@debian.org>  Sun, 10 May 2020 13:57:01 -0300

praat (6.1.14-2) unstable; urgency=medium

  * Integrate changes made in version 6.1.13-2.  These changes were
    stripped out the previous version by mistake.
  * d/control: Bump debhelper compatibitlity level to 13
  * d/s/lintian-overrides: Add override for old mailing list as Maintainer

 -- Rafael Laboissière <rafael@debian.org>  Mon, 04 May 2020 03:42:49 -0300

praat (6.1.14-1) unstable; urgency=medium

  * New upstream version 6.1.14

 -- Rafael Laboissière <rafael@debian.org>  Sun, 03 May 2020 13:43:04 -0300

praat (6.1.13-2) unstable; urgency=medium

  * Team upload.
  * changed a call for isupper(3) to iswupper(3) (Closes: #957704)
  * Add salsa-ci file (routine-update)
  * Use secure URI in Homepage field.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Moved Contact information into debian/copyright.

 -- Etienne Mollier <etienne.mollier@mailoo.org>  Sat, 02 May 2020 14:07:38 +0200

praat (6.1.13-1) unstable; urgency=medium

  * New upstream version 6.1.13
  * d/rules: Fix typo for "armhf" architecture
  * d/p/use-praat-envvar.patch: Drop patch (fixed upstream)

 -- Rafael Laboissière <rafael@debian.org>  Mon, 20 Apr 2020 12:08:08 -0300

praat (6.1.12-2) unstable; urgency=medium

  * Do not specify the set of archictures for which the package is built.
    However, prevent the unit testing for certain architectures,
    which take very long to run them (armel, amrhf, and mipsel).

 -- Rafael Laboissière <rafael@debian.org>  Sun, 19 Apr 2020 03:38:54 -0300

praat (6.1.12-1) unstable; urgency=medium

  * New upstream version 6.1.12
  * d/t/run-tests: Use upstream scripts for unit testing
  * d/clean: Adjust for new upstream version
  * d/patches/use-praat-envvar.patch: New patch
  * Drop patches (problem is fixed upstream):
    + d/p/unit-test-GaussianMixture-segfault.patch
    + d/p/unit-test-PowerCepstrum-segfault.patch
    + d/p/unit-test-randomFunctions-segfault.patch

 -- Rafael Laboissière <rafael@debian.org>  Wed, 15 Apr 2020 19:36:26 -0300

praat (6.1.11-1) unstable; urgency=medium

  * New upstream version 6.1.11

 -- Rafael Laboissière <rafael@debian.org>  Mon, 06 Apr 2020 15:00:25 -0300

praat (6.1.10-1) unstable; urgency=medium

  * New upstream version 6.1.10
  * d/copyright: Reflect upstream changes
  * d/p/use-ldflags.patch: Refresh for new upstream version
  * d/t/run-tests: Skip unit tests resample11_8.praat and colour.praat
  * New patches (fix segfault in unit tests):
    + d/p/unit-test-GaussianMixture-segfault.patch
    + d/p/unit-test-PowerCepstrum-segfault.patch
    + d/p/unit-test-randomFunctions-segfault.patch
  * d/u/metadata: Add Bug-* and Repository* fields

 -- Rafael Laboissière <rafael@debian.org>  Sat, 04 Apr 2020 08:37:47 -0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Rafael Laboissière <rafael@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libasound2-dev,
                libgtk2.0-dev,
                libjack-jackd2-dev,
@@ -15,11 +15,11 @@
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/praat
 Vcs-Git: https://salsa.debian.org/med-team/praat.git
-Homepage: http://www.praat.org
+Homepage: https://www.praat.org
 Rules-Requires-Root: no
 
 Package: praat
-Architecture: amd64 arm64 i386 mips64el ppc64el s390x alpha kfreebsd-amd64 kfreebsd-i386 m68k powerpc powerpcspe ppc64 sparc64
+Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          oss-compat,

=== debian/rules ===
--- 
+++ 
@@ -50,8 +50,7 @@
 	# Get rid of the
 	# dpkg-shlibdeps: warning: dependency on lib??? could be avoided if "debian/praat/usr/bin/praat" were not uselessly linked against it (they use none of its symbols).
 	# warnings and useless dependencies
-	sed 's/^LIBS = /& -Wl,--as-needed /'	\
-		makefiles/makefile.defs.linux.pulse > makefile.defs
+	cp makefiles/makefile.defs.linux.pulse makefile.defs
 	# Add hardening flags
 	cat debian/mk-vars-hardening >> makefile.defs
 
@@ -64,14 +63,13 @@
 	$(CC) $(shell dpkg-buildflags --get CPPFLAGS)		\
 		$(shell dpkg-buildflags --get CFLAGS)		\
 		$(shell dpkg-buildflags --get LDFLAGS)		\
-		-Wl,--as-needed -std=gnu99 -DSTAND_ALONE -DUNIX	\
+		-std=gnu99 -DSTAND_ALONE -DUNIX			\
 		-o sendpraat sys/sendpraat.c			\
 		$(shell $(PKG_CONFIG) --cflags --libs gtk+-2.0)
 
 override_dh_auto_build: sendpraat praat.1 praat_nogui.1 sendpraat.1 praat-open-files.1
 	dh_auto_build
-	sed 's/^LIBS = /& -Wl,--as-needed /'	\
-		makefiles/makefile.defs.linux.nogui > makefile.defs
+	cp makefiles/makefile.defs.linux.nogui makefile.defs
 	# Add hardening flags
 	cat debian/mk-vars-hardening >> makefile.defs
 	rm -f melder/*.o sys/*.o fon/SoundRecorder.o fon/praat_Sound.o	\
@@ -83,7 +81,9 @@
 	dh_installchangelogs debian/What_s_new_.html
 	dh_auto_install -- INSTALL=
 
+ifeq (,$(filter $(DEB_HOST_ARCH),armel armhf mipsel))
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
 	PRAAT=$(CURDIR)/praat debian/tests/run-tests
 endif
+endif
